lens-4.13: Lenses, Folds and Traversals

Copyright | (C) 2012-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | None
Language | Haskell98

Data.Dynamic.Lens

Description

Synopsis

- class AsDynamic t where
  - _Dynamic :: Typeable a => Prism' t a
- pattern Dynamic :: () => (Typeable * t, AsDynamic s) => t -> s

# Documentation

class AsDynamic t where Source

Any `Dynamic` can be thrown as an `Exception`

Minimal complete definition

Nothing

Methods

_Dynamic :: Typeable a => Prism' t a Source

This `Prism` allows you to traverse the typed value contained in a `Dynamic` where the type required by your function matches that of the contents of the `Dynamic`, or construct a `Dynamic` value out of whole cloth. It can also be used to catch or throw a `Dynamic` value as `SomeException`.

    _Dynamic :: Typeable a => Prism' Dynamic       a
    _Dynamic :: Typeable a => Prism' SomeException a

Instances

AsDynamic Dynamic Source |
AsDynamic SomeException Source |

pattern Dynamic :: () => (Typeable * t, AsDynamic s) => t -> s Source